List builds for the org
curl --request GET \
--url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/builds \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/builds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/builds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"build_id": "<string>",
"completed_at": 123,
"created_at": 123,
"pinned": true,
"started_at": 123,
"triggered_by_user_id": "<string>",
"updated_at": 123
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Snapshot Setup (Organization)
List builds for the org
GET
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
builds
List builds for the org
Permissions
Requires a service user with theManageRepoBlueprints permission at the organization level.Authorizations
Service User credential (prefix: cog_)
Path Parameters
Organization ID (prefix: org-)
Example:
"org-abc123def456"
Query Parameters
Required range:
1 <= x <= 200Filter by spec status.
Available options:
pending, running, succeeded, failed, cancelled If true, returns 0 or 1 items: the build whose image is currently used by new sessions.
Response
Successful Response
Show child attributes
Show child attributes
Cursor to fetch the next page, or None if this is the last page.
Whether there are more items available after this page.
Optional total count (can be omitted for performance).
⌘I

